# Используем официальный образ Node.js
FROM node:20

# Создаем рабочую директорию
WORKDIR /app

# Копируем package.json и устанавливаем зависимости
COPY package*.json ./
RUN npm install

# Копируем остальные файлы проекта
COPY . .

# Меняем владельца рабочей директории на пользователя node
RUN chown -R node:node /app

# Переключаемся на безопасного пользователя node
USER node

# Запускаем dev-сервер
CMD ["npm", "run", "docker"]
